Page MenuHomePhabricator

Please translate the "Wikipedia" namespace in Santali for Santali Wikipedia
Closed, ResolvedPublic

Description

Currently, the "Wikipedia" namespace on the Santali Wikipedia (http://sat.wikipedia.org) is in English. But in other Wikipedia their own language and script is used. So I request to take action to make it Wikipedia namespace in our language and script. It would be as bellow:

Wikipedia -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ
Wikipedia_talk -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ_ᱨᱚᱲ

Thanks,
Manik Soren

Event Timeline

Manik87 created this task.Dec 6 2018, 8:30 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 6 2018, 8:30 AM
Manik87 updated the task description. (Show Details)Dec 6 2018, 8:31 AM

Setting project to Wikimedia-Site-requests, as this request is about settings / configuration of a Wikimedia website.
Please follow https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes when requesting such kinds of changes. Thanks!

@Manik87: Just to make sure, did Aftabuzzaman explicitly agree on working on this? :)

Framawiki added a subscriber: Framawiki.

Waiting for community consensus link.

Also note that on my screen your message looks like that:

Also note that on my screen your message looks like that:

Hii, @Framawiki
Please install santali (OL CHIKI) fonts from here . may be helpful for you.

Thanks...

Manik87 updated the task description. (Show Details)Dec 11 2018, 5:57 AM

@Framawiki ok I will send you the community consensus link. I think it will take at least one week. I have updated the task, so please check it also. Thanks

Aftabuzzaman removed Aftabuzzaman as the assignee of this task.Dec 13 2018, 5:36 PM
Aftabuzzaman added a subscriber: Aftabuzzaman.
Urbanecm claimed this task.Dec 13 2018, 6:40 PM
Urbanecm triaged this task as Low priority.
Urbanecm moved this task from Unsorted to Single wikis on the Community-consensus-needed board.
Urbanecm added a subscriber: Urbanecm.

@Framawiki ok I will send you the community consensus link. I think it will take at least one week. I have updated the task, so please check it also. Thanks

Any status update?

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptDec 13 2018, 6:40 PM

Change 481663 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Use localized wgMetaNamespace and wgMetaNamespaceTalk in satwiki

https://gerrit.wikimedia.org/r/481663

Hi, I've scheduled deployment of this task for today, 12:00-13:00 UTC, EU SWAT.

Change 481663 merged by jenkins-bot:
[operations/mediawiki-config@master] Use localized wgMetaNamespace and wgMetaNamespaceTalk in satwiki

https://gerrit.wikimedia.org/r/481663

Mentioned in SAL (#wikimedia-operations) [2019-01-08T12:29:18Z] <zfilipin@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:481663|Use localized wgMetaNamespace and wgMetaNamespaceTalk in satwiki (T211294)]] (duration: 00m 45s)

zfilipin@mwmaint1002:~$ mwscript namespaceDupes.php satwiki

id=1524 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:IPA_for_English -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:IPA_for_English (no conflict) DRY RUN ONLY
id=372 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱴᱤᱣᱴᱳᱨᱤᱭᱟᱞ -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱴᱤᱣᱴᱳᱨᱤᱭᱟᱞ (no conflict) DRY RUN ONLY
id=1027 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱵᱷᱟᱹᱜᱤ_ᱚᱱᱚᱞᱠᱚ -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱵᱷᱟᱹᱜᱤ_ᱚᱱᱚᱞᱠᱚ (no conflict) DRY RUN ONLY
3 pages to fix, 3 were resolvable.

pagelinks from=1524 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:IPA -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:IPA DRY RUN
pagelinks from=1528 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:IPA_for_English -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:IPA_for_English DRY RUN
pagelinks from=2069 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:Spoken_articles -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:Spoken_articles DRY RUN
pagelinks from=2098 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:Spoken_articles -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:Spoken_articles DRY RUN
pagelinks from=2099 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:Spoken_articles -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:Spoken_articles DRY RUN
pagelinks from=65 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱛᱮᱦᱮᱧᱟᱜ_ᱵᱟᱪᱷᱟᱣ_ᱪᱤᱛᱟᱹᱨ -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱛᱮᱦᱮᱧᱟᱜ_ᱵᱟᱪᱷᱟᱣ_ᱪᱤᱛᱟᱹᱨ DRY RUN
pagelinks from=1655 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱛᱮᱦᱮᱧᱟᱜ_ᱵᱟᱪᱷᱟᱣ_ᱪᱤᱛᱟᱹᱨ -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱛᱮᱦᱮᱧᱟᱜ_ᱵᱟᱪᱷᱟᱣ_ᱪᱤᱛᱟᱹᱨ DRY RUN
pagelinks from=1790 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱛᱮᱦᱮᱧᱟᱜ_ᱵᱟᱪᱷᱟᱣ_ᱪᱤᱛᱟᱹᱨ -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱛᱮᱦᱮᱧᱟᱜ_ᱵᱟᱪᱷᱟᱣ_ᱪᱤᱛᱟᱹᱨ DRY RUN
pagelinks from=71 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱴᱤᱣᱴᱳᱨᱤᱭᱟᱞ -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱴᱤᱣᱴᱳᱨᱤᱭᱟᱞ DRY RUN
pagelinks from=65 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱵᱟᱪᱷᱟᱣ_ᱚᱱᱚᱞᱠᱚ -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱵᱟᱪᱷᱟᱣ_ᱚᱱᱚᱞᱠᱚ DRY RUN
pagelinks from=1655 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱵᱟᱪᱷᱟᱣ_ᱚᱱᱚᱞᱠᱚ -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱵᱟᱪᱷᱟᱣ_ᱚᱱᱚᱞᱠᱚ DRY RUN
pagelinks from=1790 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱵᱟᱪᱷᱟᱣ_ᱚᱱᱚᱞᱠᱚ -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱵᱟᱪᱷᱟᱣ_ᱚᱱᱚᱞᱠᱚ DRY RUN
pagelinks from=65 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱵᱟᱰᱟᱭᱟᱢ -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱵᱟᱰᱟᱭᱟᱢ DRY RUN
pagelinks from=1655 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱵᱟᱰᱟᱭᱟᱢ -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱵᱟᱰᱟᱭᱟᱢ DRY RUN
pagelinks from=1790 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱵᱟᱰᱟᱭᱟᱢ -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱵᱟᱰᱟᱭᱟᱢ DRY RUN
redirect from=1528 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:IPA_for_English -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:IPA_for_English DRY RUN
redirect from=71 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱴᱤᱣᱴᱳᱨᱤᱭᱟᱞ -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱴᱤᱣᱴᱳᱨᱤᱭᱟᱞ DRY RUN
17 links to fix, 17 were resolvable.

Looks good!
zfilipin@mwmaint1002:~$ mwscript namespaceDupes.php satwiki --fix
id=1524 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:IPA_for_English -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:IPA_for_English (no conflict)
id=372 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱴᱤᱣᱴᱳᱨᱤᱭᱟᱞ -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱴᱤᱣᱴᱳᱨᱤᱭᱟᱞ (no conflict)
id=1027 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱵᱷᱟᱹᱜᱤ_ᱚᱱᱚᱞᱠᱚ -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱵᱷᱟᱹᱜᱤ_ᱚᱱᱚᱞᱠᱚ (no conflict)
3 pages to fix, 3 were resolvable.

pagelinks from=1524 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:IPA -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:IPA
pagelinks from=1528 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:IPA_for_English -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:IPA_for_English
pagelinks from=2069 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:Spoken_articles -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:Spoken_articles
pagelinks from=2098 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:Spoken_articles -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:Spoken_articles
pagelinks from=2099 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:Spoken_articles -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:Spoken_articles
pagelinks from=65 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱛᱮᱦᱮᱧᱟᱜ_ᱵᱟᱪᱷᱟᱣ_ᱪᱤᱛᱟᱹᱨ -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱛᱮᱦᱮᱧᱟᱜ_ᱵᱟᱪᱷᱟᱣ_ᱪᱤᱛᱟᱹᱨ
pagelinks from=1655 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱛᱮᱦᱮᱧᱟᱜ_ᱵᱟᱪᱷᱟᱣ_ᱪᱤᱛᱟᱹᱨ -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱛᱮᱦᱮᱧᱟᱜ_ᱵᱟᱪᱷᱟᱣ_ᱪᱤᱛᱟᱹᱨ
pagelinks from=1790 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱛᱮᱦᱮᱧᱟᱜ_ᱵᱟᱪᱷᱟᱣ_ᱪᱤᱛᱟᱹᱨ -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱛᱮᱦᱮᱧᱟᱜ_ᱵᱟᱪᱷᱟᱣ_ᱪᱤᱛᱟᱹᱨ
pagelinks from=71 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱴᱤᱣᱴᱳᱨᱤᱭᱟᱞ -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱴᱤᱣᱴᱳᱨᱤᱭᱟᱞ
pagelinks from=65 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱵᱟᱪᱷᱟᱣ_ᱚᱱᱚᱞᱠᱚ -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱵᱟᱪᱷᱟᱣ_ᱚᱱᱚᱞᱠᱚ
pagelinks from=1655 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱵᱟᱪᱷᱟᱣ_ᱚᱱᱚᱞᱠᱚ -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱵᱟᱪᱷᱟᱣ_ᱚᱱᱚᱞᱠᱚ
pagelinks from=1790 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱵᱟᱪᱷᱟᱣ_ᱚᱱᱚᱞᱠᱚ -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱵᱟᱪᱷᱟᱣ_ᱚᱱᱚᱞᱠᱚ
pagelinks from=65 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱵᱟᱰᱟᱭᱟᱢ -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱵᱟᱰᱟᱭᱟᱢ
pagelinks from=1655 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱵᱟᱰᱟᱭᱟᱢ -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱵᱟᱰᱟᱭᱟᱢ
pagelinks from=1790 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱵᱟᱰᱟᱭᱟᱢ -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱵᱟᱰᱟᱭᱟᱢ
redirect from=1528 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:IPA_for_English -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:IPA_for_English
redirect from=71 ns=0 dbk=ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱴᱤᱣᱴᱳᱨᱤᱭᱟᱞ -> ᱣᱤᱠᱤᱯᱤᱰᱤᱭᱟ:ᱴᱤᱣᱴᱳᱨᱤᱭᱟᱞ
17 links to fix, 17 were resolvable.

Looks good!
Urbanecm closed this task as Resolved.Jan 8 2019, 2:28 PM

Deployed.